# OG Browser

El OpenGnsys Browser es un navegador limitado de tipo quiosco, basado en Qt6/Chrome.

## Compilacion

El sistema esta basado en CMake. Para compilar:


    git clone https://ognproject.evlt.uma.es/gitea/unizar/ogbrowser.git
    cd ogbrowser
    mkdir build
    cd build
    cmake ..
    make -j8 # 8 cores -- cambiar según hardware


## Uso

    src/OGBrowser URL

Por ejemplo:

    src/OGBrowser http://example.com


## URLs especiales:

El navegador reconoce URLs especiales dentro de los documentos, que pueden usarse
para ejecutar comandos locales.

* command - Ejecuta un comando
* command+output - Ejecuta un comando y muestra la salida
* command+confirm - Pregunta antes de ejecutar un comando
* command+confirm+output - Pregunta antes de ejecutar un comando y muestra la salida
* command+output+confirm - Idéntico al anterior


Ejemplo:

    <a href="command+confirm+output:/bin/ping -c 5 127.0.0.1">Ejecutar</a>

Esto crea un enlace que al hacerse click, ejecuta el comando ping y muestra el resultado en una ventana.


## Proxy

Usa el proxy del sistema, incluyendo las variables de entorno: HTTP_PROXY, HTTPS_PROXY, ALL_PROXY, NO_PROXY

## Modo administrativo

El administrador dispone de una consola y mas información sobre la ejecución de comandos.

Se activa estableciendo la variable de entorno `ogactiveadmin=true`

